Get tracking details
curl --request GET \
--url https://api.teleship.com/api/tracking/{trackingNumber} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.teleship.com/api/tracking/{trackingNumber}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.teleship.com/api/tracking/{trackingNumber}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "label_created",
"shipmentId": "<string>",
"trackingNumber": "<string>",
"trackingURL": "https://teleship.com/tracking?trackingNumber=1234567890",
"shipDate": "2024-01-01T00:00:00.00Z",
"estimatedDelivery": "2024-01-01T00:00:00.00Z",
"events": [
{
"timestamp": "2023-11-07T05:31:56Z",
"code": "<string>",
"description": "<string>",
"location": "<string>"
}
],
"shipFrom": {
"name": "<string>",
"address": {
"line1": "",
"city": "",
"postcode": "",
"country": "GB"
},
"email": "<string>",
"phone": "<string>",
"company": "<string>"
},
"shipTo": {
"name": "<string>",
"address": {
"line1": "",
"city": "",
"postcode": "",
"country": "US"
},
"email": "<string>",
"phone": "<string>",
"company": "<string>"
},
"customerReference": "<string>",
"firstMile": {
"carrier": "<string>",
"trackingNumber": "<string>",
"trackingUrl": "<string>"
},
"lastMile": {
"carrier": "<string>",
"trackingNumber": "<string>",
"trackingUrl": "<string>"
},
"items": [
{
"title": "<string>",
"quantity": 123,
"sku": "<string>"
}
]
}{
"messages": [
{
"code": 123,
"level": "error",
"timestamp": "2024-01-01T00:00:00.00Z",
"message": "An error occurred",
"details": [
"Missing required field"
]
}
]
}{
"messages": [
{
"code": 123,
"level": "error",
"timestamp": "2024-01-01T00:00:00.00Z",
"message": "An error occurred",
"details": [
"Missing required field"
]
}
]
}{
"messages": [
{
"code": 123,
"level": "error",
"timestamp": "2024-01-01T00:00:00.00Z",
"message": "An error occurred",
"details": [
"Missing required field"
]
}
]
}{
"messages": [
{
"code": 123,
"level": "error",
"timestamp": "2024-01-01T00:00:00.00Z",
"message": "An error occurred",
"details": [
"Missing required field"
]
}
]
}Shipping services
Get tracking details
Get real-time tracking updates for a shipment using its tracking number.
What you receive:
- Current status (e.g., in transit, delivered)
- Event history (pickups, scans, delivery attempts)
- Estimated delivery date
Perfect for: Building a branded tracking page or sending proactive shipment notifications.
GET
/
api
/
tracking
/
{trackingNumber}
Get tracking details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Tracking details
Available options:
label_created, created, alert, picked_up, in_transit, delivered, cancelled, delayed, discarded, delivery_event, return_to_sender, terminated, failed tracking URL for the shipment
Example:
"https://teleship.com/tracking?trackingNumber=1234567890"
Example:
"2024-01-01T00:00:00.00Z"
Example:
"2024-01-01T00:00:00.00Z"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Items/commodities included in this shipment. Used for partial fulfillment matching.
Show child attributes
Show child attributes
Was this page helpful?